# Start the Braintree subscription (Deprecated) (Deprecated - use the "/zephr/subscribe" operation intead) Uses the payment info captured by the braintree drop-in UI and encoded in the payment nonce to create a braintree customer in with a recurring payment. When braintree responds successfully, the logged-in user will be temporarily granted all entitlements in the product's associated bundle. Endpoint: POST /blaize/payment/braintree/subscribe Version: 2025-07-30 Security: CookieBlaizeSession, JwtQuery, JwtHeaderXBlaizeJwt, JwtHeaderXZephrJwt, JwtBearer, JwtCookie ## Header parameters: - `cookie` (string) The session cookie. Example: "`blaize_session=...` (string)" ## Request fields (application/json): - `product_id` (string, required) Product ID/slug Example: "premium-access-monthly-recurring" - `plan_id` (string) - `discount_code` (string) - `payment_nonce` (string, required) Payment method nonce from Braintree drop-in UI. Example: "eyJ2ZXmsaW5nQW...(lots more random-looking characters)...dyZWmVubW8iOiJvZmYifQ==" - `skip_trial_period` (boolean) Whether or not to skip any trial period that may be associated with this subscription. This should be null or not set to use the configured trial period. Example: true - `start_date` (string) ISO 8601 date format which determines when the subscription will start. When the attribute is passed, the value must be in the future. Otherwise, the subscription is expected to start immediately. Example: "2021-01-01T00:00:00Z" ## Response 200 fields (application/json): - `grant_id` (string) New grant of product bundle to user. Example: "33d576c7-d036-40e7-8141-8a91998a5c79" ## Response 400 fields ## Response 401 fields